package com.chinaitop.depot.intelligent.ventilation.mapper;

import com.chinaitop.depot.intelligent.ventilation.model.TCtldevinfoBype;
import com.chinaitop.depot.intelligent.ventilation.model.TCtldevinfoBypeExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TCtldevinfoBypeMapper {
    int countByExample(TCtldevinfoBypeExample example);

    int deleteByExample(TCtldevinfoBypeExample example);

    int deleteByPrimaryKey(Integer tcId);

    int insert(TCtldevinfoBype record);

    int insertSelective(TCtldevinfoBype record);

    List<TCtldevinfoBype> selectByExample(TCtldevinfoBypeExample example);

    TCtldevinfoBype selectByPrimaryKey(Integer tcId);

    int updateByExampleSelective(@Param("record") TCtldevinfoBype record, @Param("example") TCtldevinfoBypeExample example);

    int updateByExample(@Param("record") TCtldevinfoBype record, @Param("example") TCtldevinfoBypeExample example);

    int updateByPrimaryKeySelective(TCtldevinfoBype record);

    int updateByPrimaryKey(TCtldevinfoBype record);
}